<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <walls>
            <wall fill="#ff000000" stroke-style="none" begin="0:0" end="0:200" stroke-width="5" id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1000" end="0:1200" stroke-width="5" id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:0" end="1000:0" stroke-width="5" id="{2874bbda-b5e5-4260-863d-0147f6292377}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:600" end="1400:400" stroke-width="5" id="{3c0fc77d-99bf-4596-9ff2-bcc22a000dec}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1600" end="350:1600" stroke-width="5" id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:800" end="1400:1000" stroke-width="5" id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:0" end="1600:0" stroke-width="5" id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:200" end="0:400" stroke-width="5" id="{58e93446-e01b-4467-ac81-aa74f6100032d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1600" end="350:1600" stroke-width="5" id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:800" end="0:1000" stroke-width="5" id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:400" end="0:600" stroke-width="5" id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:0" end="1600:400" stroke-width="5" id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:3200" end="4400:3200" stroke-width="5" id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:0" end="800:0" stroke-width="5" id="{89bde907-f287-4caf-81c2-51a4ac98550f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:600" end="0:800" stroke-width="5" id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:0" end="400:0" stroke-width="5" id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1400" end="400:1600" stroke-width="5" id="{911eb093-1be6-4c8e-9835-8d1ea7606354}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:200" end="1400:0" stroke-width="5" id="{951d413b-d67d-4e1a-adbf-cec5a649cd35}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:0" end="200:0" stroke-width="5" id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1000" end="1600:400" stroke-width="5" id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:0" end="1200:0" stroke-width="5" id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1000" end="1600:1600" stroke-width="5" id="{de654a82-30ad-4296-a1ad-40e07030a493}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1200" end="0:1600" stroke-width="5" id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:0" end="600:0" stroke-width="5" id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:400" end="400:600" stroke-width="5" id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:400" end="800:600" stroke-width="5" id="{ae6ee371-f673-496a-a00c-64ddb10a950d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:400" end="1000:600" stroke-width="5" id="{2e8bafae-a054-438d-8f2f-614407a7aee5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="600:0" stroke-width="5" id="{e1d28e79-529a-4516-b754-b7400f58c69a}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:200" end="800:0" stroke-width="5" id="{350b4d4d-d050-4b80-8edb-b569e05ebe25}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:1400" end="400:1400" stroke-width="5" id="{5e4a95b9-7f7c-48bc-88ed-6225d83656cc}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1400" end="200:1400" stroke-width="5" id="{d974e7c5-7102-4a49-bd35-88fc802044c1}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1400" end="1400:1600" stroke-width="5" id="{8d16245d-95f4-40cc-893d-6ca579fd5a59}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1400" end="1000:1600" stroke-width="5" id="{cfff5747-2716-41e1-a365-b4dd67e6052c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:600" end="600:400" stroke-width="5" id="{fc3254de-ecbc-4787-aa18-00ff6e448ab5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1200" end="0:1200" stroke-width="5" id="{2505d35d-a6ac-420c-80d6-107842753dcd}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1000" end="0:1000" stroke-width="5" id="{cf7474ac-49b7-4c0e-87ab-2b6d8960cf1e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:1400" end="600:1600" stroke-width="5" id="{3ed40bbd-e64c-4cfc-a9f1-c161115a8643}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:1400" end="1200:1600" stroke-width="5" id="{78746bcd-c153-4c2b-aadd-e718118e55aa}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1000" end="400:1200" stroke-width="5" id="{3142bc86-4826-4e9e-a60f-676b5aeae78e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:1000" end="600:1200" stroke-width="5" id="{c2620211-c61e-48cd-b038-69eaadef8010}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1200" end="600:1200" stroke-width="5" id="{86344659-a914-41f8-a73c-7424b9af9870}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1000" end="1000:800" stroke-width="5" id="{ed15fe0f-fa32-4f9a-84e6-1acd95243ff6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:800" end="1000:800" stroke-width="5" id="{1cc4e244-56db-4d8d-b5e9-93aae5ffbb4f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="600:200" stroke-width="5" id="{24dcd69c-6008-490c-a97e-424f7083b404}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:400" end="400:400" stroke-width="5" id="{3ca2fe23-bf34-4ff7-8a18-7a028705742c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:600" end="1600:600" stroke-width="5" id="{fb7de1d6-a2bb-4418-98ad-ee9816b3dbe8}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:800" end="600:1000" stroke-width="5" id="{f32452a9-c16d-483a-bc5a-3ab5a9c9da1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:800" end="400:800" stroke-width="5" id="{e534d29f-bacc-403c-8377-f05ed55baa88}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:200" end="200:0" stroke-width="5" id="{1cfacf87-f6ea-46da-b807-d04d7aca4ab3}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:200" end="0:200" stroke-width="5" id="{8b193666-aa6a-4d5f-9ed2-47879605dec8}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:400" end="200:600" stroke-width="5" id="{961740db-fc58-4122-bbd8-99282945475f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:600" end="400:600" stroke-width="5" id="{6b1826fa-9842-4a98-900d-d620fdf516c2}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:800" end="400:1000" stroke-width="5" id="{64848a17-ff29-4347-a99b-a2fc70b37308}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="400:200" stroke-width="5" id="{8f2f712c-f869-4c88-97fc-818a2fb7dec8}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:200" end="400:0" stroke-width="5" id="{515fb1d4-6688-4fd3-9586-fec8358f29de}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:400" end="600:400" stroke-width="5" id="{a091c553-55da-4e19-9c98-ed0728179e3d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:600" end="800:600" stroke-width="5" id="{0ab6ebde-cb23-40c4-9978-d033fd040d62}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:600" end="1000:800" stroke-width="5" id="{27857d7e-30a4-4743-a71c-ddb8e1d23760}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:200" end="1000:200" stroke-width="5" id="{8a2985b8-bb4f-4259-90b1-0fe79b1592af}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:200" end="1000:0" stroke-width="5" id="{abcbd21a-2db2-4ab3-a625-fe30a4838efd}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:200" end="1200:0" stroke-width="5" id="{4afcbf7f-1c6a-4033-8005-0fbfc9eaa2b5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:200" end="1400:200" stroke-width="5" id="{e981bc6d-7a96-4a26-90be-9c31ae484967}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:400" end="1200:600" stroke-width="5" id="{f32ca014-c2c7-418a-a905-ba6c32cf599e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:800" end="1200:800" stroke-width="5" id="{12640bd3-fbbd-43e5-8b80-3eb48220d990}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:800" end="1200:600" stroke-width="5" id="{38190515-6640-406e-a3ae-58d6c33951dd}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:800" end="1000:800" stroke-width="5" id="{713e4c45-e1fb-4c4c-b5b2-6ccd20bd6bc3}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:800" end="1200:1000" stroke-width="5" id="{cb4d6239-b16e-4f6b-bfed-71c7d025c956}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1000" end="1400:1200" stroke-width="5" id="{63e13e57-14c1-4e3d-a92a-efd7ecba5e19}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1400" end="1200:1400" stroke-width="5" id="{a795f23d-37c0-4011-abe6-b3f464445f02}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:1200" end="1400:1200" stroke-width="5" id="{faf5ce89-b14e-4c7e-8c27-88c255c7c88c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:1000" end="1200:1200" stroke-width="5" id="{276f4d5e-e5eb-4fe3-9006-7ff4ab459ea0}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1200" end="1000:1000" stroke-width="5" id="{2604b37c-24f1-4367-bcf8-1aef305c9703}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1000" end="800:1200" stroke-width="5" id="{284c94db-8eb9-4108-b765-98f215029f6a}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1200" end="1000:1200" stroke-width="5" id="{e67da04c-1b77-4852-8af9-0ed90f94246c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1200" end="200:1000" stroke-width="5" id="{a71d9862-ac0b-4f20-85d0-dbebcc0de505}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1400" end="200:1600" stroke-width="5" id="{b2b21609-274b-47c8-a8bd-0e8897f14669}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="800:1400" stroke-width="5" id="{27f2a306-6fc9-4420-a870-004cf5b37ab9}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="800:1600" stroke-width="5" id="{eec24e1c-c827-481e-90f5-a1e00ddc2e1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="1000:1400" stroke-width="5" id="{c9fd94d6-fe71-4780-a3de-1bd6e63620a7}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:400" end="1200:400" stroke-width="5" id="{e8357d3c-fc26-4a33-8ab7-f5b196fdd965}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:400" end="1600:400" stroke-width="5" id="{30bb2e13-ebbf-4ed7-9a35-b0da619412ce}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1000" end="800:800" stroke-width="5" id="{26f68652-e3d9-4403-bd43-15957854a755}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="800:200" stroke-width="5" id="{0e89bcf3-ab2e-4f42-92c6-4e08499bc996}" stroke="#ff000000"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="1000" text="(5,1)" id="(5,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="1000" text="(5,2)" id="(5,2)" width="200"/>
            <region textX="0" height="200" visible="true" color="#0000ff" type="rectangle" filled="true" y="0" textY="0" x="200" text="Start" id="start" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="1000" text="(5,3)" id="(5,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="1000" text="(5,5)" id="(5,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="1000" text="(5,6)" id="(5,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="1000" text="(5,4)" id="(5,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="1000" text="(5,0)" id="(5,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="800" text="(4,1)" id="(4,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="800" text="(4,2)" id="(4,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="800" text="(4,7)" id="(4,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="800" text="(4,3)" id="(4,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="800" text="(4,5)" id="(4,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="800" text="(4,6)" id="(4,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="800" text="(4,4)" id="(4,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="1000" text="(5,7)" id="(5,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="1400" text="(7,2)" id="(7,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="1400" text="(7,3)" id="(7,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="1200" text="(6,0)" id="(6,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="1400" text="(7,4)" id="(7,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="1400" text="(7,6)" id="(7,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="1400" text="(7,7)" id="(7,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="1400" text="(7,5)" id="(7,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="1400" text="(7,1)" id="(7,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="1200" text="(6,1)" id="(6,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="1200" text="(6,2)" id="(6,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="1400" text="(7,0)" id="(7,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="1200" text="(6,3)" id="(6,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="1200" text="(6,4)" id="(6,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="1200" text="(6,7)" id="(6,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="1200" text="(6,5)" id="(6,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="1200" text="(6,6)" id="(6,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="800" text="(4,0)" id="(4,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="200" text="(1,0)" id="(1,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="200" text="(1,1)" id="(1,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="600" text="(3,7)" id="(3,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="200" text="(1,2)" id="(1,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="200" text="(1,4)" id="(1,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="200" text="(1,5)" id="(1,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="200" text="(1,3)" id="(1,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="0" text="(0,7)" id="(0,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="0" text="(0,0)" id="(0,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="0" text="(0,1)" id="(0,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="0" text="(0,6)" id="(0,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="0" text="(0,2)" id="(0,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="0" text="(0,4)" id="(0,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="0" text="(0,5)" id="(0,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="0" text="(0,3)" id="(0,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="200" text="(1,6)" id="(1,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="600" text="(3,1)" id="(3,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="600" text="(3,2)" id="(3,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="200" text="(1,7)" id="(1,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="600" text="(3,3)" id="(3,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="600" text="(3,5)" id="(3,5)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="600" text="(3,6)" id="(3,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="600" text="(3,4)" id="(3,4)" width="200"/>
            <region textX="0" height="200" visible="true" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="600" text="Blocked" id="(3,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="0" textY="0" x="400" text="(2,0)" id="(2,0)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="200" textY="0" x="400" text="(2,1)" id="(2,1)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1400" textY="0" x="400" text="(2,7)" id="(2,7)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="400" textY="0" x="400" text="(2,2)" id="(2,2)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="600" textY="0" x="400" text="(2,3)" id="(2,3)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1200" textY="0" x="400" text="(2,6)" id="(2,6)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="800" textY="0" x="400" text="(2,4)" id="(2,4)" width="200"/>
            <region textX="0" height="200" visible="false" color="#87cefa" type="rectangle" filled="true" y="1000" textY="0" x="400" text="(2,5)" id="(2,5)" width="200"/>
        </regions>
    </world>
    <robots>
        <robot position="275:75" direction="90" id="trikKitRobot">
            <sensors>
                <sensor type="trik::robotModel::parts::TrikSonarSensor" port="D1###input###D1###sensorD1" position="25:25" direction="0"/>
                <sensor type="trik::robotModel::parts::TrikSonarSensor" port="D2###input###D2###sensorD2" position="25:25" direction="180"/>
                <sensor type="trik::robotModel::parts::TrikInfraredSensor" port="A1###input###А1###sensorA1" position="25:25" direction="90"/>
                <sensor type="trik::robotModel::parts::TrikInfraredSensor" port="A2###input######sensorA2" position="25:25" direction="-90"/>
            </sensors>
            <startPosition y="100" x="300" direction="90" id="{ff4ce37a-75ec-4b53-9409-3eb41c4ef88d}"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticPhysics="false" realisticSensors="false" realisticMotors="false"/>
    <constraints>
        <timelimit value="900000"/>
        <constraint checkOnce="true" failMessage="У робота не должно быть лишних датчиков!">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside objectId="robot1" regionId="start"/>
        </constraint>
        <event settedUpInitially="true">
            <conditions glue="and">
                <inside objectId="robot1" regionId="(3,1)"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <not>
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="finish"/>
                    </equals>
                </not>
            </conditions>
            <trigger>
                <fail message="Неверный ответ!"/>
            </trigger>
        </event>
        <event settedUpInitially="true">
            <conditions glue="and">
                <inside objectId="robot1" regionId="(3,1)"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <success/>
            </trigger>
        </event>
        
    </constraints>
</root>
